Packages - Freedom Issue #2260

[openttd] recommends OpenSFX, which is known to be under a non-FSDG license
2019-03-30 07:06 AM - bootmii

Status: info needed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

| know this because | successfully used the in-game content download function to get it, and there's a message saying you're
supposed to do that if openSFX isn't installed.

Related issues:

Related to Packages - Freedom Issue #2304: [wesnoth] Default add-ons server a... info needed
Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress
History

#1 - 2019-03-31 05:23 AM - bootmii
- File Screenshot from 2019-03-30 22-21-49.png added

this is the warning message

#2 - 2019-03-31 05:32 AM - bootmii
- File Screenshot from 2019-03-30 22-31-36.png added

There are no freely licensed sound sets

#3 - 2019-03-31 05:34 AM - bill-auger

<pbill-auger> that screenshot does not really indicate anything conclusive - all it says is "use the content do
wnload system" - it does not even say how to find that

<bootmii> "Check Online Content" is the content download system

<pill-auger> and are there any freely licensed sounds to be found there?

<bootmii> no there aren't

i dont think that "facilitates" is the key concern here - it looks like the program itself is "suggesting" or "recommending" to download "some" art pack,
which is the stronger FSDG conflict; but only if there are by default no free sounds to be found in that way

it does index the allegedly non-free art packs though, so that puts it in the same category as a third-party package manager (
https://labs.parabola.nu/issues/1035 )

#4 - 2019-03-31 05:49 AM - bill-auger
- Priority changed from bug to freedom issue

- Subject changed from [openttd] facilitates OpenSFX, which is known to be under a non-FSDG license to [openttd] recommends OpenSFX, which is
known to be under a non-FSDG license

#5 - 2019-03-31 05:50 AM - bill-auger

also the title states "known to be under a non-FSDG license" - how is this known? - as far as this BR is concerned, it is not known

#6 - 2019-03-31 05:57 AM - bootmii

This link from the game's own fan forum says it's unfree, at least by Debian's rules (then again they also say GFDL is unfree so who cares):

https://www.tt-forums.net/viewtopic.php?t=44761&start=40 - Creative Commons Sampling Plus license

#7 - 2019-03-31 06:57 AM - bootmii

- File freetousesounds - Train Station Soundscape & Train Sound Effects! Freight and Passenger Trains USA - The License Agreement.pdf added

here's the license for a possible replacement sound set's raw material:

https://freetousesounds.bandcamp.com/album/train-station-soundscape-train-sound-effects-freight-and-passenger-trains-usa
Its license is attached to save your downlink. It appears to be attribution, but with some usage restrictions.

#8 - 2019-03-31 07:04 AM - bootmii

Tool for creating an OpenTTD sound set (given you have a free sound library of course):

https://www.openttd.org/downloads/catcodec-releases/latest.html

#9 - 2019-03-31 07:07 AM - bootmii

The copyright holders appear to be various users from freesound.org: https:/github.com/OpenTTD/OpenSFX

#10 - 2019-04-03 08:13 AM - oaken-source

The premise of this issue appears to be misguided.
The FSDG states the following:

“Information for practical use” includes software, documentation, fonts, and other data that has direct functional applications. It does not include
artistic works that have an aesthetic (rather than functional) purpose, or statements of opinion or judgment.

it then goes on to describe our regular set of rules concerning "Information for practical use", which do not apply here, since sound files serve no
function except their aestethic purpose. For such assets, the FSDG states:

Non-functional Data

Data that isn't functional, that doesn't do a practical job, is more of an adornment to the system's software than a part of it. Thus, we don't insist
on the free license criteria for non-functional data. It can be included in a free system distribution as long as its license gives you permission to
copy and redistribute, both for commercial and non-commercial purposes. For example, some game engines released under the GNU GPL have
accompanying game information—a fictional world map, game graphics, and so on—released under such a verbatim-distribution license. This
kind of data can be part of a free system distribution, even though its license does not qualify as free, because it is non-functional.

This means as long as the Sampling Plus 1.0 license grant the user the right to redistribution and commercial and non-commercial use, it is
acceptable for inclusion in FSDG compliant distributions. The Sampling Plus 1.0 licens does appear to not grant this right in full, since redistribution of
the complete work is only permitted for non-commercial purposes™. All this means is, that we may not include OpenSFX in our official repositories.
Nowhere does the FSDG state that programs may not link, recommend or otherwise refer to not entirely free artwork (information not for practical
use). All of these rules apply only to information for practical use.

Now, | do agree that in very extreme cases, where distribution of such information is highly prohibited and the content is actively harmful to the user, it
is prudent that we remove these references. However, in this particular case | would advocate to let it be, since it does not violate the FSDG
as-written, and it does not cause any harm to the user.

One thing we could do, is make the OpenSFX creators aware of the conflict their chosen license has with the FSDG, and try to persuade them to use
a more modern and cleaner license, but this is beyond the scope of this issue tracker.

Update: It seems that has been done at least once before. The README of the OpenSFX states?:

This license has been chosen as the majority all of the original samples
are licensed under the Creative Commons Sampling Plus 1.0 License with
the exception of a single original sample under public domain. If you

are interested in this package having a more free license, i.e. a

license that is deemed free by Debian, Fedora and the other Linux
distributions, you have to either contact the original authors and ask

them to relicense them or redo the samples so they can licensed under a
license that is deemed free.

If there are no objections to my reading of the FSDG and the Sampling Plus license, | would like to close this issue by the end of the week.

[1] - https://creativecommons.org/licenses/sampling+/1.0/
[2] - https://github.com/OpenTTD/OpenSEX

#11 - 2019-04-03 10:17 AM - bill-auger

the FSDG is satisfied by the blacklisting of the 'openttd-opensfx' package and the custom 'openttd' in [libre] - the issue here is "free culture" - if "free
culture” is to be the analog of "free software" for art, then the argument can be made that we should not permit "suggesting" or "recommending" any
art that has distribution restriction, in the same way that the FSDG would not permit "suggesting" or "recommending" of software with distribution
restrictions

#12 - 2019-04-03 10:36 AM - oaken-source

The parabola social contract refers to our commitment to free culture as follows:
Parabola is Free Culture: All documentation and cultural works included in products of the Parabola project are Free Culture, with the exceptions
of: works stating a viewpoint, invariant sections and cover texts. All documentation and cultural works created by or for Parabola are Free
Culture, with no exceptions.

one could argue that the packages we distribute fall under "products of the Parabola project”, in which case, again, OpenSFX would not be
distributable by parabola. However contrary to the FSDG, the definition of free culture? referenced in the parabola wiki does not contain rules probiting
free culture work from referencing or even promoting non-free-culture work. So | still see no violation here, either of the FSDG, or our commitment to
free culture.

If we wanted to make promoting non-free-culture works prohibited as part of our social contract then we could certainly do that, but | think that move
should be thoroughly discussed, and that discussion belongs in a dedicated issue.

[1] - https://wiki.parabola.nu/Parabola_Social_Contract
[2] - hitps://freedomdefined.org/Definition

#13 - 2019-04-03 11:10 AM - bill-auger

i agree that there is no violation with either the FSDG or the freedomdefined definition of "free culture"; but that is only because the that definition of
"free culture” is hollow bullshit - by that definition, there is absolutely nothing to distinguish between the terms: "free culture" and "open culture" - in
reality, it amounts to less than the analog of "open-source" for art - it does not require sources or even imply that sources may be available, in any
form, at any time - it only implies that "these blobs are re-distributable" - that is a paltry excuse for a declaration of digital freedom

the main reason i would press on this is because that definition of "free culture" is so weak that it adds nothing beyond what the FSDG already does -
the FSDG already requires the art blobs to be re-distributable; so the words "free culture" in the parabola social contract are superfluous unless they
imply something beyond what the FSDG does

if we consider artwork only as they relate to the FSDG then we could (indeed we should) remove the language about "free culture", because it is an
empty promise - the parabola social contract is actually quite poorly worded in several ways - about six months ago, i wrote a long commentary about
the parabola social contract to start a discussion on revising it; but i did not send it yet - this empty "free culture" promise was one of the items i
intended to raise though

i would like to see "free culture" be the analog of "free software" for art, specifically in that it should provide all four freedoms, rather than simply
permission to re-distribute blobs - if we truly want "free culture" to imply anything like what "free software" does (as the words do tend to suggest),
then we are the ones who should define that for ourselves; because the freedomdefined definition is pathetic and not worth mentioning

#14 - 2019-04-03 11:29 AM - bill-auger

id say that "products of the Parabola project" is almost surely referring to the cartoons that crazytoon made - those are GPL licensed and most still
have sources available in the preferred form for modification (i think they all did at one time) - an excellent precedent for "free culture" providing all
four freedoms

the walllpapers i made are also GPL licensed with the GIMP sources available - i think this is the impression of "free culture" that we should be
presenting

#15 - 2019-04-03 11:38 AM - oaken-source

The parabola wiki refers to free culture in a number of places, and cites this definition:
https://freedomdefined.org/Definition

Have you read it? | believe it states some fairly strong requirements, including availability of the source material.

#16 - 2019-04-03 01:29 PM - bill-auger

i have read it entirely several times, trying very much to find it agreeable; but it is not - it is a very weak document cleverly and vaguely worded as to
superficially appear to appease both those who would prefer to interpret it as implying all four freedoms, and those who would prefer to interpret it as
"re-distributable blobs"

this is the exact wording:

In order to be considered free, a work must be covered by a Free Culture License,
or its legal status must provide the same essential freedoms enumerated above.
It is not, however, a sufficient condition.
. whenever the user of a work cannot legally or practically exercise his or her
basic freedoms, the work cannot be considered and should not be called "free."

this literally says: that a "Free Culture License" (note the Capital Letters) is necessary, but insufficient for a work to be actually "free" (note the
lowercase "free") - "actually free" (as in: all four freedoms) is made explicitly not identical to the formal "Free Culture" there - this is however, under
the heading of the formal: "Free Culture Works"; which makes the clear and unfortunate distinction against works that are published under a "Free
Culture License"

the take away message there, is that one may publish their works under a "Free Culture License" without concern for neither copyleft nor the

availability of complete corresponding sources - those who do have that concern, may choose to identify with the second optional category: "Free
Culture Works", if those conditions are met
that brings squarely into question: which they consider to be the primary definition
of "free culture” - if it is the former, then any work under a "Free Culture License" can call itself "Free Culture"; but most such works are definitievly not
"Free Culture Works"; which is of course double-talking nonsense

it describes the GPL as such:

The main condition for the GPL to be applicable to a type of work is that
it admits the notion of a preferred form of a work for making modifications to it
(be it source code in a computer language, music score notation, digital graphics
under a format retaining structure, etc.).

if you put those two statements together, it is saying that the GPL is the only license that qualifies a work as a "free" (as in freedom) "Free Culture
Work"; but that neither copyleft nor the "notion of a preferred form" is a requirement for being "Free Culture"

some other notable points of tripe in that document:

=1=

it actually refers to copyleft apologetically as a "permissible restriction" and does not name any copyleft licenses other than the line:
ShareAlike is a synonym of copyleft in the Creative Commons vocabulary.

and to be clear, the CC "share-alike" licenses do not require sources, only copyleft permissions propagation - that is why they are not the artistic
companion of the GPL as they are often touted to be

=2=
the list of "free culture licenses" has a categorization of "practical modifiability" which is describes as so:

The licenses which require practical modifiability usually define
a notion of source code, source data or similar.

yet, it denotes the "MIT" license as having this characteristic - for one thing, as we all know, the license text itself explicitly excludes it's applicability to
binary assets such as artworks - the MIT-style licenses explicitly cover "software and associated documentation files"; neither of which are considered
to be artworks, music, literature, or any other sort "cultural works" by any definition - more importantly though to this point, the MIT-style licenses do
not specify anything resembling "practical modifiability"; only that these "software and associated documentation files" are freely distributable

=3=
and how about this beauty:

If you do not like the term "Free Cultural Work," you can
refer instead to one of the existing movements that express similar freedoms

among those alternate descriptors are "Free Software", "Open Knowledge", and "Open Source" - read literally, a "Free Cultural Work" is synonymous
and inter-changable with "Open Source"

over-all, it has the smell of being written by a committee of four "open-source" people and one lonely "free software" person who was able to squeak
in a mention or two of real freedom; making the wording vague enough so that anyone is free to choose either of the "open" or "freedom"
interpretations

#17 - 2019-04-03 03:41 PM - freemor

This makes an interesting read. And this and other issues in the tracker (particularly re: games) point to a need for Parabola to more clearly define our
stance on free software Vs. free culture. This discussion (Not a free software issue really, but a free culture issue.. should we care, how much should
we care) has come up over and over.

From reading this it seems that the wiki is mudled on this issue which is not good for Dev or users.

I think the Dev community needs to:
* Decide exactly what our stance on Free Culture is.
* Decide how we will deal with non free cultural items if we decide we care

— This is complicated by the fact that the only recourse will usually be removal

(I certainly have neither the talent nor the time to create replacement Graphics/music/etc.)

* Write it up clearly and get it on the wiki
* If we do care, create separate issue categories here on labs

- Freedom Issue: Software

— Freedom Issue: Culture (to cover art/music/etc. assets)

That or face the fact that we'll just keep having this discussion over and over. Conversely we could just blacklist all games and the issue would largely
go away :)

® Appologies if this isn't formated the best. Currently out and about on my MID.
#18 - 2019-04-03 04:19 PM - bill-auger
freemor wrote:

Conversely we could just blacklist all games and the issue would largely go away :)
that is the first thing that usually crosses my mind whenever i see any complaints about non-free game assets - i would not want to blacklist them all
though, it is good to know which ones valued that concern and to honor them with a slot in the repos - the ones on the border-line, i have no particular
enthusiasm to fix - creating a new art pack is significantly more work than fixing a typical software freedom issue
i found a game recently that was "open-sourced" but only the code - the art had a non-free license (which makes the free code quite useless), but
later someone else came along and created a entire new art-pack for it so it could be used freely - for that reason alone i decided to put it in parabola

- i dont even care if anyone plays it :)

i played it though and i like it quite a bit, actually; so it was a win-win situation all around - i know for a fact we will never get a freedom bug posted
against that game; because it was curated for exactly that reason

#19 - 2019-04-03 05:08 PM - bill-auger
freemor wrote:
e Write it up clearly and get it on the wiki

im not sure what the wiki actually says about it now - i have had something of a manifesto brewing for a few years now, since people started offering
me un-attributed artworks on github; the fruit of which intending to be this "GPL Assets Addendum" https:/wiki.parabola.nu/GPL_Assets_Addendum

the entire thing (WIP) is on notabug https://notabug.org/bill-auger/copyleft-guide/raw/assets/binary-assets if anyone is interested

#20 - 2019-04-03 05:39 PM - freemor

| think another interesting thing to do would be to engage with the user community, and more specifically the users that report such issues. State
clearly to then, "Hey, There is no way we have the resources to fix this (Don't think any of the current devs are willing to devote month/years to either
creating or tracking down replacement works). So when you make a complaint like this you're basically asking us to blacklist the program. Is that what
you intended? If not what did you think the outcome would be?".

I'd actually really like to know the answers to those questions. Also It be interesting to know if there is a very vocal Free Culture absolutists minority in
the user-base That is responsible for the majority of these complaints. How does the rest of the user-base feel about the possibility of games
disappearing due to assets lacking full 4 freedom, Etc."

There is also the fact that when it comes to freedom of art(ish) assets even 4 freedoms stuff may not be fully free due to concepts such as "Moral
Rights" and their supporting laws. On my website | use the Canadian version of the CC-BY-SA license because Canada's legal system recognizes
"Moral Rights", And | wanted to preserve those.

The manifesto sounds interesting I'll be sure to take a look.

#21 - 2019-04-28 11:07 PM - bill-auger

- Related to Freedom Issue #2304: [wesnoth] Default add-ons server allows non-free add-ons added

#22 - 2019-04-28 11:10 PM - bill-auger
- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added

#23 - 2019-04-28 11:11 PM - bill-auger
- Priority changed from freedom issue to discussion

- Status changed from unconfirmed to info needed

#24 - 2022-09-24 05:28 PM - gap
See #3139: both packages are now 100% libre.

Files

Screenshot from 2019-03-30 22-21-49.png 438 KB 2019-03-31 bootmii
Screenshot from 2019-03-30 22-31-36.png 214 KB 2019-03-31 bootmii
freetousesounds - Train Station Soundscape & Train Sound Effects! Fréigbtid Passe80¢01&iB3 USA - The License Agreement.pdf bootmii
